-- MusicWheelItem Section

local t = Def.ActorFrame{
	Def.Sprite{
		InitCommand=cmd(setsize,218,88);
		SetMessageCommand=function(self,params)
			local GroupName = params.SongGroup;
			if GroupName then
				self:Load( GetEmblemFromGroupTitle(GroupName) );
			end;
		end;
	};
	--[[
	Def.Quad{
		-- todo: replace with emblem system (todo: describe emblem system)
		InitCommand=cmd(zoomto,218,88);
	};
	]]
	-- draw edges over quad
	LoadActor( THEME:GetPathG("_shared","MusicWheelItem/_top") );
	LoadActor( THEME:GetPathG("_shared","MusicWheelItem/_bot") );
};


return t;